## org.eclipse.datatools.sqltools.editor.ui.internal.core
Class SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.ui.internal.core.SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  SQLDevToolsUIConfigRegistryImpl

    public static class SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator

extends java.lang.Object
implements java.util.Comparator

Compares DBFactory by version number (type names starting with lower case characters).

Constructor Summary
`SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator()`

Method Summary
`int` `compare(java.lang.Object left, java.lang.Object right)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator

    public SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator()

Method Detail

### compare

    public int compare(java.lang.Object left,
                       java.lang.Object right)

  Specified by:
    `compare` in interface `java.util.Comparator`